Vi jobber med å tilby våre kunder så raske, sikre og stabile tjenester som mulig. Det er en stadig pågående prosess, en av de viktigste tingene er å stadig ligge i framkant av den tekniske utviklingen.

Vårt månedlige vedlikeholdsvindu er et eksempel på hvordan vi jobber med dette.
Den første tirsdagen i måneden fra kl 23.00 gjør vi vedlikehold på serverene.
Vi har valgt dette tidspunktet for å minimere påvirkningen av dine tjenester hos oss.
Noen ganger må vi også gjøre oppdateringer utendom dette. Dette er da kritiske oppdateringer, (feks alvorlige sikkerhetsoppdateringer) som må helst gjøres så fort som mulig.

Akkurat nå jobber vi med å oppdgradering av SSL og PHP, noe som vi vil informere mer om her.


- OpenSSL med TLS 1.2
Vi oppgraderer OpenSSL på alle Linux-baserte webservere.
Dette berører alle kunder som har installert SSL-sertifikat for sine hjemmesider.
TLS 1.2 som vi oppgraderer til, har en bedre implementering av SSL som er både bakoverkompatibel og framtidssikret.

Kunder med SSL-sertifikat trenger ikke å gjøre noe i forbindelse med dette.

TLS 1.2 kommer til å implementeres for samtlige SSL-baserte tjenester hos oss. Vi regner ikke med at våre kunder skal merke oppgraderingen, men det kan eventuelt påvirke brukere av veldig gamle SSL-klienter (nettlesere, e-postprogram osv)
Det finnes også en liten sjanse for at gamle serversignaturer for SSH og SFTP-tilkoblinger må oppdateres.
Men som sagt, vi gjør alt for at oppgraderingen av OpenSSL og skiftet til TLS 1.2 skal gå ubemerket hen.


- PHP 7.0 med komprimering
Vi har lenge tilbudt et bredt tilbud av PHP-versjoner for våre webhotellkunder.
Som kunde av oss kan du velge mellom PHP 5.2, 5.3, 5.4, 5.5, 5.6 eller 7.0 for din hjemmeside (via kontrollpanelet/waff) Samtlige versjoner av PHP har støtte for ulike funksjoner av feks bilde- og filhåndtering.

PHP 5-versjonene har også støtte for komprimering, noe som bektraktlig øker hastigheten på våre kunders hjemmesider. Da vi innførte PHP 7 på slutten av det forrige året, så var versjonen helt ny og komprimeringsstøtten var ikke stabil nok for vårt servermiljø. Vi aktiverte derfor ikke dette dengang.
Siden da har vi fortløpende testet, og nå har komprimeringsbiten for PHP 7 blitt aktivert hos oss.

Det er denne oppgraderingen som nå skjer med PHP 7.
Ved oppgraderingen av PHP 7 så kan visse databasetilkoblinger slutte å fungere, om man har en hjemmeside eller hjemmesideløsning som bruker en eldre databasetilkobling. Om dere bruker PHP 7 og merker at databasetilkoblingen slutter å fungere, må dere logge inn i kontrollpanelet og bytte til en PHP 5-versjon. Da vil databasetilkoblingen fungere igjen.

Ta så kontakt med vår supportavdeling via ditt kontrollpanel eller e-post så bytter i din databasetilkobling manuelt. Deretter kan du endre til PHP 7 (med komprimering) igjen via waff.

Alle disse oppgraderinger skjer på kvelds-/nattestid når besøket på dine hjemmesider er lavere enn vanlig.